ProfileLogger (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.listener, class: ProfileLogger

# Class ProfileLogger

java.lang.Object
org.apache.tools.ant.DefaultLogger
org.apache.tools.ant.listener.ProfileLogger

All Implemented Interfaces:
  `EventListener, BuildListener, BuildLogger`

public class ProfileLogger extends DefaultLogger
This is a special logger that is designed to profile builds.

Since:
  Ant1.8

- ## Field Summary

  ### Fields inherited from class DefaultLogger

  `emacsMode, err, LEFT_COLUMN_SIZE, lSep, msgOutputLevel, out`
  Modifier and Type
  Field
  Description
  `protected boolean`
  `emacsMode`
  Whether or not to use emacs-style output
  `protected PrintStream`
  `err`
  PrintStream to write error messages to
  `static final int`
  `LEFT_COLUMN_SIZE`
  Size of left-hand column for right-justified task name.
  `protected static final String`
  `lSep`
  Deprecated.
  `protected int`
  `msgOutputLevel`
  Lowest level of message to write out
  `protected PrintStream`
  `out`
  PrintStream to write non-error messages to

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProfileLogger()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `targetFinished(BuildEvent event)`
  Logs a message to say that the target has finished.
  `void`
  `targetStarted(BuildEvent event)`
  Logs a message to say that the target has started.
  `void`
  `taskFinished(BuildEvent event)`
  Logs a message to say that the task has finished.
  `void`
  `taskStarted(BuildEvent event)`
  Logs a message to say that the task has started.

  ### Methods inherited from class DefaultLogger

  `buildFinished, buildStarted, extractProjectName, formatTime, getBuildFailedMessage, getBuildSuccessfulMessage, getMessageOutputLevel, getTimestamp, log, messageLogged, printMessage, setEmacsMode, setErrorPrintStream, setMessageOutputLevel, setOutputPrintStream`
  Modifier and Type
  Method
  Description
  `void`
  `buildFinished(BuildEvent event)`
  Prints whether the build succeeded or failed, any errors the occurred during the build, and how long the build took.
  `void`
  `buildStarted(BuildEvent event)`
  Responds to a build being started by just remembering the current time.
  `protected String`
  `extractProjectName(BuildEvent event)`
  Get the project name or null
  `protected static String`
  `formatTime(long millis)`
  Convenience method to format a specified length of time.
  `protected String`
  `getBuildFailedMessage()`
  This is an override point: the message that indicates whether a build failed.
  `protected String`
  `getBuildSuccessfulMessage()`
  This is an override point: the message that indicates that a build succeeded.
  `int`
  `getMessageOutputLevel()`
  `protected String`
  `getTimestamp()`
  Get the current time.
  `protected void`
  `log(String message)`
  Empty implementation which allows subclasses to receive the same output that is generated here.
  `void`
  `messageLogged(BuildEvent event)`
  Logs a message, if the priority is suitable.
  `protected void`
  `printMessage(String message, PrintStream stream, int priority)`
  Prints a message to a PrintStream.
  `void`
  `setEmacsMode(boolean emacsMode)`
  Sets this logger to produce emacs (and other editor) friendly output.
  `void`
  `setErrorPrintStream(PrintStream err)`
  Sets the output stream to which this logger is to send error messages.
  `void`
  `setMessageOutputLevel(int level)`
  Sets the highest level of message this logger should respond to.
  `void`
  `setOutputPrintStream(PrintStream output)`
  Sets the output stream to which this logger is to send its output.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProfileLogger

    public ProfileLogger()

- ## Method Details

  - ### targetStarted

    public void targetStarted(BuildEvent event)
    Logs a message to say that the target has started.
    Specified by:
      `targetStarted` in interface `BuildListener`
    Overrides:
      `targetStarted` in class `DefaultLogger`
    Parameters:
      `event` - An event with any relevant extra information. Must not be `null`.
    See Also:
      - `BuildEvent.getTarget()`

  - ### targetFinished

    public void targetFinished(BuildEvent event)
    Logs a message to say that the target has finished.
    Specified by:
      `targetFinished` in interface `BuildListener`
    Overrides:
      `targetFinished` in class `DefaultLogger`
    Parameters:
      `event` - An event with any relevant extra information. Must not be `null`.
    See Also:
      - `BuildEvent.getException()`

  - ### taskStarted

    public void taskStarted(BuildEvent event)
    Logs a message to say that the task has started.
    Specified by:
      `taskStarted` in interface `BuildListener`
    Overrides:
      `taskStarted` in class `DefaultLogger`
    Parameters:
      `event` - An event with any relevant extra information. Must not be `null`.
    See Also:
      - `BuildEvent.getTask()`

  - ### taskFinished

    public void taskFinished(BuildEvent event)
    Logs a message to say that the task has finished.
    Specified by:
      `taskFinished` in interface `BuildListener`
    Overrides:
      `taskFinished` in class `DefaultLogger`
    Parameters:
      `event` - An event with any relevant extra information. Must not be `null`.
    See Also:
      - `BuildEvent.getException()`